summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-11-15 20:50:29 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-11-16 09:42:10 +0100
commit3a24c17403089bc00cd15c99f3f76f8c9408ef97 (patch)
treee4b55116dece0e946f92cb8544fa671ccb9ff993 /app-office/libreoffice
parentnet-misc/rsync: Stable for HPPA too. (diff)
downloadgentoo-3a24c17403089bc00cd15c99f3f76f8c9408ef97.tar.gz
gentoo-3a24c17403089bc00cd15c99f3f76f8c9408ef97.tar.bz2
gentoo-3a24c17403089bc00cd15c99f3f76f8c9408ef97.zip
app-office/libreoffice*: Drop 5.2.7.2
Bug: https://bugs.gentoo.org/623646 Package-Manager: Portage-2.3.14, Repoman-2.3.6
Diffstat (limited to 'app-office/libreoffice')
-rw-r--r--app-office/libreoffice/Manifest3
-rw-r--r--app-office/libreoffice/files/libreoffice-5.2-icu58.patch289
-rw-r--r--app-office/libreoffice/files/libreoffice-5.2-system-pyuno.patch44
-rw-r--r--app-office/libreoffice/libreoffice-5.2.7.2.ebuild594
-rw-r--r--app-office/libreoffice/metadata.xml1
5 files changed, 0 insertions, 931 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 1ea43884cc6..b37cdd7166a 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -4,11 +4,8 @@ DIST 35c94d2df8893241173de1d16b6034c0-swingExSrc.zip 9796 SHA256 64585ac36a81291
DIST 4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 555291 SHA256 b0adb8e71aef80751b999c9c055e419a625c4a05184e407aef2aee28752ad8cb SHA512 1e8a39205f21206d239871bd636f17768eb3997e08ba065c1111a537564bec2b4e97bcb2f7cd9e652a1d9b4f31cb0662010303c393aedc84b920bb5f41b27be8 WHIRLPOOL d809712c3fcaca922d64f67a14d9dc3e750ecf359687c7ba0e8c6c7fc7750e43721a21ce29d5a3b0b87b83bfe7b71947e701ba4aed0a337ec35ecbb22d8dec34
DIST 798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip 1521926 SHA256 1fb458d6aab06932693cc8a9b6e4e70944ee1ff052fa63606e3131df34e21753 SHA512 ec5ae23c8fe2f5efc377f7a9665039afadf28b4d8f2791379296766a5fbc9a3bf7548f9b0e3b3b07762229ec733a92ccbb69791ee0318c9c6f78f8e847253d3f WHIRLPOOL 8e446eb44188046b0e90694feba232f42c2e9f13d0f43783a18de37c94b86ff919b994931125c5d8001ecd320c1f4db5da482847304aa61646600a3bb33144b4
DIST a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip 23150 SHA256 75823776fb51a9c526af904f1503a7afaaab900fba83eda64f8a41073724c870 SHA512 2d3835f7ac356805025cafedcad97faa48d0f5da386e6ac7b7451030059df8e2fdb0861ade07a576ebf9fb5b88a973585ab0437944b06aac9289d6898ba8586a WHIRLPOOL 60b98d9af2c83c0cf12a5a60ba30957d335b8b967cac07971e1edbc787b9caecd4b3c5bb480e8b38fe8109c1cf74439ebafae130c976182c2c15399f38f5d28c
-DIST ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz 1769329 SHA256 3221593ca50f362b546a0888a1431ad24be1470f96b2469c0e0df5e1c55e7305 SHA512 2f8d473916abf9822367edbe857fc2e12dc9858d12e790d689d787e439904bd6a452bf631043aa66e7502457ab0815a473657f58fca17a213e2490f5655e5ae5 WHIRLPOOL 29ddaef03d46fe08aa2dba200be755817f8e77de3bbbb3ed86dae65e891239f3051f79fdfadec6ae56023197e32e1c44a94385a1ce306081f3bf94be6226f8c7
-DIST libreoffice-5.2.7.2.tar.xz 184589464 SHA256 106154a72a329605166a49bfa31c6d1cc03133d600ad0ef340b45e4e2a92891d SHA512 f7414a0d0d654d1d9bd6c5524ff2acf2f21c544dd6ed79f4f2d22f79db46264f95f7ca8dd482027f7a573d2d491ea6c8d9875b262d5e2b917dfddb749a3ea95f WHIRLPOOL 28d7f9531190a16bdea14c5dcc710ef593085fddca1b4d7d0cd6107d5f93e4b94a1ae035a626376ab7abfcd926a263b1437de1e52011bb96aa6d87b046a38da8
DIST libreoffice-5.4.2.2.tar.xz 192795940 SHA256 2fda4a8c446786a3afff2cf1b07b818c45c9dcd136bfae1f3191b0b1565ba675 SHA512 37edf44b4b3c3e694f5b5915647f9555413c3fcc6d29f5f8d74806439b65ed90418905476d7b75ce58a032abb1f55cecf1ca74b63279666ca2af5f3ac95a645c WHIRLPOOL 1d2f55af8da2d1c8f2998cc3ab6346be7f6e2e524fef664281ba585910a9e98914c9e07612d597a89c77ab6dc25beffc4dcb1b4575f314752a892d18ea15415d
DIST libreoffice-5.4.3.2.tar.xz 192920640 SHA256 d59526dc6adf96c53cd7ed3c0235d9a876cbd1af07ab653456395ea94479d931 SHA512 5996d8abc7f28df7de8f527fac6120955d673bb50f3691ff8a3606c216f049dd19a57bdd23faed1e169fcbdf3369350ea4519ed73d1a172661f7eaab6239649a WHIRLPOOL 38176055247f0210aea5d8e0c6f93bdd36a0bc190ea64a1953f5196089ed2a95cd1c170bde0dcd5c09f779e4d457643d07799ae61838e556bfd3246cf5cf0311
DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 SHA256 22722121be062742624e0634beae92289c75e6a99ed507d3bf0a05c5164e3c69 SHA512 785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f WHIRLPOOL 1f36652a52d501d6548cfa9aa013b3e3a1867aa2b0693d2274cf7816d4aa4e0cde3c7096cc71ed47cf74e5f96da2757bf537f553021f8fd86939accb227bf538
-DIST libreoffice-help-5.2.7.2.tar.xz 1940516 SHA256 f7d35c460da96ed2d52cf97baef159382b38e5ce4579c34e65480ff2911cac4b SHA512 c86bc17448fcd1da01e13d3e9fee739610fde390abaf0635cc4593755d102da08a5eea0533076e1a0f8d89f0b32ba5086b155b9b388f317a5e4c669bf17769e1 WHIRLPOOL 4da96a14b70be718109eda5ced62cec85b96e9028fcf65d729a99604598de81edc097bc06577f3ce7958de1316b04d2d2f1f2782c6504a487ffc6ebaaf7feca6
DIST libreoffice-help-5.4.2.2.tar.xz 2343504 SHA256 5fc740dbe77876b96ed731f0a6ce793925a9a4a4ba983b5a3506ab24beb73057 SHA512 ba845653d6388bae53eaa945abebb367fedace81c1949ed975a2ad0c270c688649b385b463256b362a6397f18d214aed9b876869434c6c3868649180e57c3112 WHIRLPOOL f5c81288d7d6f608a47f59fe6ae75b6d90b30383fc7fafbc398394c3274014c29fc6933c7b09c517e033e2477355584cb8970f55cf925d645bee57b935e1d253
DIST libreoffice-help-5.4.3.2.tar.xz 2343476 SHA256 85dd76aabc205e8b30f9622bc5300156df6debf4ac0364eb732ced92932d30e4 SHA512 eb74eae6ef624deabe23784dbad6bf9e22341c2f2728cc8f8109c239c6a3f0ed008ac0600b3c8cab10944d2c471695c3925592980265b2fc67415f9981898452 WHIRLPOOL e1fff7683d62203f9aedc41b919ff9f93a165107a2fd63692c0f39f0b29fb9e33344a7e254e03698b63a6d8b32f9f7554fe5e1b55bc35c4ab704a2aa6eb453d3
diff --git a/app-office/libreoffice/files/libreoffice-5.2-icu58.patch b/app-office/libreoffice/files/libreoffice-5.2-icu58.patch
deleted file mode 100644
index 57fe6dcbd00..00000000000
--- a/app-office/libreoffice/files/libreoffice-5.2-icu58.patch
+++ /dev/null
@@ -1,289 +0,0 @@
-From 3e42714c76b1347babfdea0564009d8d82a83af4 Mon Sep 17 00:00:00 2001
-From: Eike Rathke <erack@redhat.com>
-Date: Wed, 2 Nov 2016 13:07:48 +0100
-Subject: [PATCH] upgrade to ICU 58
-
-Change-Id: I4a992447df65b337721a2a2627d974172a14cba5
-Reviewed-on: https://gerrit.libreoffice.org/30487
-Reviewed-by: Eike Rathke <erack@redhat.com>
-Tested-by: Eike Rathke <erack@redhat.com>
----
- configure.ac | 2 +-
- download.lst | 2 +-
- external/icu/icu-ubsan.patch.0 | 11 ------
- external/icu/icu4c-warnings.patch | 12 ------
- .../source/breakiterator/breakiterator_unicode.cxx | 12 ++++++
- i18nutil/source/utility/unicode.cxx | 26 +++++++++++++
- include/svx/ucsubset.hrc | 11 ++++++
- svx/source/dialog/charmap.cxx | 35 +++++++++++++++++
- svx/source/dialog/ucsubset.src | 44 ++++++++++++++++++++++
- 9 files changed, 130 insertions(+), 25 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index f06ef8e..66a11a9 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -9136,7 +9136,7 @@ SYSTEM_GENBRK=
- SYSTEM_GENCCODE=
- SYSTEM_GENCMN=
-
--ICU_MAJOR=57
-+ICU_MAJOR=58
- ICU_MINOR=1
- ICU_RECLASSIFIED_PREPEND_SET_EMPTY="TRUE"
- ICU_RECLASSIFIED_CONDITIONAL_JAPANESE_STARTER="TRUE"
-diff --git a/download.lst b/download.lst
-index 4571338..0770a4d 100644
---- a/download.lst
-+++ b/download.lst
-@@ -62,7 +62,7 @@ export HARFBUZZ_TARBALL := harfbuzz-1.3.2.tar.bz2
- export HSQLDB_TARBALL := 17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip
- export HUNSPELL_TARBALL := 33d370f7fe5a030985e445a5672b2067-hunspell-1.4.1.tar.gz
- export HYPHEN_TARBALL := 5ade6ae2a99bc1e9e57031ca88d36dad-hyphen-2.8.8.tar.gz
--export ICU_TARBALL := 976734806026a4ef8bdd17937c8898b9-icu4c-57_1-src.tgz
-+export ICU_TARBALL := 1901302aaff1c1633ef81862663d2917-icu4c-58_1-src.tgz
- export JFREEREPORT_FLOW_ENGINE_TARBALL := ba2930200c9f019c2d93a8c88c651a0f-flow-engine-0.9.4.zip
- export JFREEREPORT_FLUTE_TARBALL := d8bd5eed178db6e2b18eeed243f85aa8-flute-1.1.6.zip
- export JFREEREPORT_LIBBASE_TARBALL := eeb2c7ddf0d302fba4bfc6e97eac9624-libbase-1.1.6.zip
-diff --git a/external/icu/icu-ubsan.patch.0 b/external/icu/icu-ubsan.patch.0
-index 6d1d3bc..8a47242 100644
---- a/external/icu/icu-ubsan.patch.0
-+++ b/external/icu/icu-ubsan.patch.0
-@@ -151,14 +151,3 @@
- length(len), next(subNode) {}
- virtual UBool operator==(const Node &other) const;
- virtual int32_t markRightEdgesFirst(int32_t edgeNumber);
----- source/common/unifiedcache.h
--+++ source/common/unifiedcache.h
--@@ -139,7 +139,7 @@
-- : CacheKey<T>(other), fLoc(other.fLoc) { }
-- virtual ~LocaleCacheKey() { }
-- virtual int32_t hashCode() const {
--- return 37 *CacheKey<T>::hashCode() + fLoc.hashCode();
--+ return 37U *CacheKey<T>::hashCode() + fLoc.hashCode();
-- }
-- virtual UBool operator == (const CacheKeyBase &other) const {
-- // reflexive
-diff --git a/external/icu/icu4c-warnings.patch b/external/icu/icu4c-warnings.patch
-index d146093..96608d7 100644
---- a/external/icu/icu4c-warnings.patch
-+++ b/external/icu/icu4c-warnings.patch
-@@ -8,15 +8,3 @@
- } \
- }
-
----- misc/icu/source/common/unicode/utypes.h
--+++ misc/build/icu/source/common/unicode/utypes.h
--@@ -399,7 +399,7 @@
-- * some Linux/Unix compilers have problems with defining global new/delete.
-- * On Windows, it is _MSC_VER>=1200 for MSVC 6.0 and higher.
-- */
---#if defined(__cplusplus) && U_DEBUG && U_OVERRIDE_CXX_ALLOCATION && (_MSC_VER>=1200) && !defined(U_STATIC_IMPLEMENTATION) && (defined(U_COMMON_IMPLEMENTATION) || defined(U_I18N_IMPLEMENTATION) || defined(U_IO_IMPLEMENTATION) || defined(U_LAYOUT_IMPLEMENTATION) || defined(U_LAYOUTEX_IMPLEMENTATION))
--+#if defined(__cplusplus) && U_DEBUG && U_OVERRIDE_CXX_ALLOCATION && defined (_MSC_VER) && (_MSC_VER>=1200) && !defined(U_STATIC_IMPLEMENTATION) && (defined(U_COMMON_IMPLEMENTATION) || defined(U_I18N_IMPLEMENTATION) || defined(U_IO_IMPLEMENTATION) || defined(U_LAYOUT_IMPLEMENTATION) || defined(U_LAYOUTEX_IMPLEMENTATION))
--
-- #ifndef U_HIDE_INTERNAL_API
-- /**
--
-diff --git a/i18npool/source/breakiterator/breakiterator_unicode.cxx b/i18npool/source/breakiterator/breakiterator_unicode.cxx
-index 3b0b227..76ae209 100644
---- a/i18npool/source/breakiterator/breakiterator_unicode.cxx
-+++ b/i18npool/source/breakiterator/breakiterator_unicode.cxx
-@@ -63,10 +63,13 @@ BreakIterator_Unicode::~BreakIterator_Unicode()
- class OOoRuleBasedBreakIterator : public RuleBasedBreakIterator
- {
- public:
-+#if (U_ICU_VERSION_MAJOR_NUM < 58)
-+ // RuleBasedBreakIterator::setBreakType() is private as of ICU 58.
- inline void publicSetBreakType(int32_t type)
- {
- setBreakType(type);
- };
-+#endif
- OOoRuleBasedBreakIterator(UDataMemory* image,
- UErrorCode &status)
- : RuleBasedBreakIterator(image, status)
-@@ -142,12 +145,21 @@ void SAL_CALL BreakIterator_Unicode::loadICUBreakIterator(const css::lang::Local
- }
- }
- if (rbi) {
-+#if (U_ICU_VERSION_MAJOR_NUM < 58)
-+ // ICU 58 made RuleBasedBreakIterator::setBreakType() private
-+ // instead of protected, so the old workaround of
-+ // https://ssl.icu-project.org/trac/ticket/5498
-+ // doesn't work anymore. However, they also claim to have fixed
-+ // the cause that an initial fBreakType==-1 would lead to an
-+ // endless loop under some circumstances.
-+ // Let's see ...
- switch (rBreakType) {
- case LOAD_CHARACTER_BREAKITERATOR: rbi->publicSetBreakType(UBRK_CHARACTER); break;
- case LOAD_WORD_BREAKITERATOR: rbi->publicSetBreakType(UBRK_WORD); break;
- case LOAD_SENTENCE_BREAKITERATOR: rbi->publicSetBreakType(UBRK_SENTENCE); break;
- case LOAD_LINE_BREAKITERATOR: rbi->publicSetBreakType(UBRK_LINE); break;
- }
-+#endif
- icuBI->aBreakIterator = rbi;
- }
- }
-diff --git a/i18nutil/source/utility/unicode.cxx b/i18nutil/source/utility/unicode.cxx
-index bb82bbf..984c5f7 100644
---- a/i18nutil/source/utility/unicode.cxx
-+++ b/i18nutil/source/utility/unicode.cxx
-@@ -957,6 +957,32 @@ OString SAL_CALL unicode::getExemplarLanguageForUScriptCode(UScriptCode eScript)
- sRet = "sa-Sidd";
- break;
- #endif
-+#if (U_ICU_VERSION_MAJOR_NUM >= 58)
-+ case USCRIPT_ADLAM:
-+ sRet = "mis"; // Adlm - Adlam for Fulani, no language code
-+ break;
-+ case USCRIPT_BHAIKSUKI:
-+ sRet = "mis"; // Bhks - Bhaiksuki for some Buddhist texts, no language code
-+ break;
-+ case USCRIPT_MARCHEN:
-+ sRet = "bo-Marc";
-+ break;
-+ case USCRIPT_NEWA:
-+ sRet = "new-Newa";
-+ break;
-+ case USCRIPT_OSAGE:
-+ sRet = "osa-Osge";
-+ break;
-+ case USCRIPT_HAN_WITH_BOPOMOFO:
-+ sRet = "mis"; // Hanb - Han with Bopomofo, zh-Hanb ?
-+ break;
-+ case USCRIPT_JAMO:
-+ sRet = "mis"; // Jamo - Jamo subset of Hangul, ko-Jamo ?
-+ break;
-+ case USCRIPT_SYMBOLS_EMOJI:
-+ sRet = "mis"; // Zsye - Emoji variant
-+ break;
-+#endif
- }
- return sRet;
- }
-diff --git a/include/svx/ucsubset.hrc b/include/svx/ucsubset.hrc
-index adf1cf6..1157a7e 100644
---- a/include/svx/ucsubset.hrc
-+++ b/include/svx/ucsubset.hrc
-@@ -291,6 +291,17 @@
- #define RID_SUBSETSTR_OLD_HUNGARIAN (RID_SUBSET_START + 263)
- #define RID_SUBSETSTR_SUPPLEMENTAL_SYMBOLS_AND_PICTOGRAPHS (RID_SUBSET_START + 264)
- #define RID_SUBSETSTR_SUTTON_SIGNWRITING (RID_SUBSET_START + 265)
-+#define RID_SUBSETSTR_ADLAM (RID_SUBSET_START + 266)
-+#define RID_SUBSETSTR_BHAIKSUKI (RID_SUBSET_START + 267)
-+#define RID_SUBSETSTR_CYRILLIC_EXTENDED_C (RID_SUBSET_START + 268)
-+#define RID_SUBSETSTR_GLAGOLITIC_SUPPLEMENT (RID_SUBSET_START + 269)
-+#define RID_SUBSETSTR_IDEOGRAPHIC_SYMBOLS_AND_PUNCTUATION (RID_SUBSET_START + 270)
-+#define RID_SUBSETSTR_MARCHEN (RID_SUBSET_START + 271)
-+#define RID_SUBSETSTR_MONGOLIAN_SUPPLEMENT (RID_SUBSET_START + 272)
-+#define RID_SUBSETSTR_NEWA (RID_SUBSET_START + 273)
-+#define RID_SUBSETSTR_OSAGE (RID_SUBSET_START + 274)
-+#define RID_SUBSETSTR_TANGUT (RID_SUBSET_START + 275)
-+#define RID_SUBSETSTR_TANGUT_COMPONENTS (RID_SUBSET_START + 276)
-
- // RID_SUBSET_END (RID_SUBSET_START + 299)
-
-diff --git a/svx/source/dialog/charmap.cxx b/svx/source/dialog/charmap.cxx
-index bcc7cef..ff201a6 100644
---- a/svx/source/dialog/charmap.cxx
-+++ b/svx/source/dialog/charmap.cxx
-@@ -1594,6 +1594,41 @@ void SubsetMap::InitList()
- aAllSubsets.push_back( Subset( 0x1D800, 0x1DAAF, RID_SUBSETSTR_SUTTON_SIGNWRITING ) );
- break;
- #endif
-+#if (U_ICU_VERSION_MAJOR_NUM >= 58)
-+ case UBLOCK_ADLAM:
-+ aAllSubsets.push_back( Subset( 0x1E900, 0x1E95F, RID_SUBSETSTR_ADLAM ) );
-+ break;
-+ case UBLOCK_BHAIKSUKI:
-+ aAllSubsets.push_back( Subset( 0x11C00, 0x11C6F, RID_SUBSETSTR_BHAIKSUKI ) );
-+ break;
-+ case UBLOCK_CYRILLIC_EXTENDED_C:
-+ aAllSubsets.push_back( Subset( 0x1C80, 0x1C8F, RID_SUBSETSTR_CYRILLIC_EXTENDED_C ) );
-+ break;
-+ case UBLOCK_GLAGOLITIC_SUPPLEMENT:
-+ aAllSubsets.push_back( Subset( 0x1E000, 0x1E02F, RID_SUBSETSTR_GLAGOLITIC_SUPPLEMENT ) );
-+ break;
-+ case UBLOCK_IDEOGRAPHIC_SYMBOLS_AND_PUNCTUATION:
-+ aAllSubsets.push_back( Subset( 0x16FE0, 0x16FFF, RID_SUBSETSTR_IDEOGRAPHIC_SYMBOLS_AND_PUNCTUATION ) );
-+ break;
-+ case UBLOCK_MARCHEN:
-+ aAllSubsets.push_back( Subset( 0x11C70, 0x11CBF, RID_SUBSETSTR_MARCHEN ) );
-+ break;
-+ case UBLOCK_MONGOLIAN_SUPPLEMENT:
-+ aAllSubsets.push_back( Subset( 0x11660, 0x1167F, RID_SUBSETSTR_MONGOLIAN_SUPPLEMENT ) );
-+ break;
-+ case UBLOCK_NEWA:
-+ aAllSubsets.push_back( Subset( 0x11400, 0x1147F, RID_SUBSETSTR_NEWA ) );
-+ break;
-+ case UBLOCK_OSAGE:
-+ aAllSubsets.push_back( Subset( 0x104B0, 0x104FF, RID_SUBSETSTR_OSAGE ) );
-+ break;
-+ case UBLOCK_TANGUT:
-+ aAllSubsets.push_back( Subset( 0x17000, 0x187FF, RID_SUBSETSTR_TANGUT ) );
-+ break;
-+ case UBLOCK_TANGUT_COMPONENTS:
-+ aAllSubsets.push_back( Subset( 0x18800, 0x18AFF, RID_SUBSETSTR_TANGUT_COMPONENTS ) );
-+ break;
-+#endif
-
- }
-
-diff --git a/svx/source/dialog/ucsubset.src b/svx/source/dialog/ucsubset.src
-index 06630cc..a7765c3 100644
---- a/svx/source/dialog/ucsubset.src
-+++ b/svx/source/dialog/ucsubset.src
-@@ -1079,6 +1079,50 @@ Resource RID_SUBSETMAP
- {
- Text [ en-US ] = "Sutton Signwriting";
- };
-+ String RID_SUBSETSTR_ADLAM
-+ {
-+ Text [ en-US ] = "Adlam";
-+ };
-+ String RID_SUBSETSTR_BHAIKSUKI
-+ {
-+ Text [ en-US ] = "Bhaiksuki";
-+ };
-+ String RID_SUBSETSTR_CYRILLIC_EXTENDED_C
-+ {
-+ Text [ en-US ] = "Cyrillic Extended-C";
-+ };
-+ String RID_SUBSETSTR_GLAGOLITIC_SUPPLEMENT
-+ {
-+ Text [ en-US ] = "Glagolitic Supplement";
-+ };
-+ String RID_SUBSETSTR_IDEOGRAPHIC_SYMBOLS_AND_PUNCTUATION
-+ {
-+ Text [ en-US ] = "Ideographic Symbols and Punctuation";
-+ };
-+ String RID_SUBSETSTR_MARCHEN
-+ {
-+ Text [ en-US ] = "Marchen";
-+ };
-+ String RID_SUBSETSTR_MONGOLIAN_SUPPLEMENT
-+ {
-+ Text [ en-US ] = "Mongolian Supplement";
-+ };
-+ String RID_SUBSETSTR_NEWA
-+ {
-+ Text [ en-US ] = "Newa";
-+ };
-+ String RID_SUBSETSTR_OSAGE
-+ {
-+ Text [ en-US ] = "Osage";
-+ };
-+ String RID_SUBSETSTR_TANGUT
-+ {
-+ Text [ en-US ] = "Tangut";
-+ };
-+ String RID_SUBSETSTR_TANGUT_COMPONENTS
-+ {
-+ Text [ en-US ] = "Tangut Components";
-+ };
- };
-
- /* vim:set shiftwidth=4 softtabstop=4 expandtab: */
---
-2.10.2
-
diff --git a/app-office/libreoffice/files/libreoffice-5.2-system-pyuno.patch b/app-office/libreoffice/files/libreoffice-5.2-system-pyuno.patch
deleted file mode 100644
index e06f81f53dc..00000000000
--- a/app-office/libreoffice/files/libreoffice-5.2-system-pyuno.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
-index a259bf6..672fa23 100755
---- a/desktop/scripts/soffice.sh
-+++ b/desktop/scripts/soffice.sh
-@@ -129,6 +129,9 @@ if echo "$checks" | grep -q "cc" ; then
- exit 1;
- fi
-
-+PYTHONPATH=$sd_prog${PYTHONPATH+:$PYTHONPATH}
-+export PYTHONPATH
-+
- case "`uname -s`" in
- NetBSD|OpenBSD|DragonFly)
- # this is a temporary hack until we can live with the default search paths
-diff --git a/pyuno/source/module/uno.py b/pyuno/source/module/uno.py
-index 4ff2606..6a05eed 100644
---- a/pyuno/source/module/uno.py
-+++ b/pyuno/source/module/uno.py
-@@ -16,8 +16,12 @@
- # except in compliance with the License. You may obtain a copy of
- # the License at http://www.apache.org/licenses/LICENSE-2.0 .
- #
-+import os
- import sys
-
-+sys.path.append('%eprefix%/usr/%libdir%/libreoffice/program')
-+if getattr(os.environ, 'URE_BOOTSTRAP', None) is None:
-+ os.environ['URE_BOOTSTRAP'] = "vnd.sun.star.pathname:%eprefix%/usr/%libdir%/libreoffice/program/fundamentalrc"
- import pyuno
-
- try:
-diff --git a/pyuno/source/officehelper.py b/pyuno/source/officehelper.py
-index 99d3b03..704edab 100755
---- a/pyuno/source/officehelper.py
-+++ b/pyuno/source/officehelper.py
-@@ -44,7 +44,7 @@ def bootstrap():
- if "UNO_PATH" in os.environ:
- sOffice = os.environ["UNO_PATH"]
- else:
-- sOffice = "" # lets hope for the best
-+ sOffice = "%eprefix%/usr/%libdir%/libreoffice/program"
- sOffice = os.path.join(sOffice, "soffice")
- if platform.startswith("win"):
- sOffice += ".exe"
diff --git a/app-office/libreoffice/libreoffice-5.2.7.2.ebuild b/app-office/libreoffice/libreoffice-5.2.7.2.ebuild
deleted file mode 100644
index b1d9c22b342..00000000000
--- a/app-office/libreoffice/libreoffice-5.2.7.2.ebuild
+++ /dev/null
@@ -1,594 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KDE_REQUIRED="optional"
-KDE_SCM="git"
-CMAKE_REQUIRED="never"
-
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-PYTHON_REQ_USE="threads,xml"
-
-# experimental ; release ; old
-# Usually the tarballs are moved a lot so this should make
-# everyone happy.
-DEV_URI="
- https://dev-builds.libreoffice.org/pre-releases/src
- https://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
- https://download.documentfoundation.org/libreoffice/old/${PV}/
-"
-ADDONS_URI="https://dev-www.libreoffice.org/src/"
-
-BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
-# PATCHSET="${P}-patchset-01.tar.xz"
-
-[[ ${PV} == *9999* ]] && SCM_ECLASS="git-r3"
-inherit multiprocessing autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic versionator xdg-utils qmake-utils ${SCM_ECLASS}
-unset SCM_ECLASS
-
-DESCRIPTION="A full office productivity suite"
-HOMEPAGE="https://www.libreoffice.org"
-SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
-[[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
-
-# Split modules following git/tarballs
-# Core MUST be first!
-# Help is used for the image generator
-MODULES="core help"
-# Only release has the tarballs
-if [[ ${PV} != *9999* ]]; then
- for i in ${DEV_URI}; do
- for mod in ${MODULES}; do
- if [[ ${mod} == core ]]; then
- SRC_URI+=" ${i}/${P}.tar.xz"
- else
- SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
- fi
- done
- unset mod
- done
- unset i
-fi
-unset DEV_URI
-
-# Really required addons
-# These are bundles that can't be removed for now due to huge patchsets.
-# If you want them gone, patches are welcome.
-ADDONS_SRC=(
- "${ADDONS_URI}/ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz" # modifies source code
- "collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
- "java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
- # no release for 8 years, should we package it?
- "libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
- # Does not build with 1.6 rhino at all
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
- # requirement of rhino
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
- # not packageable
- "odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
-)
-SRC_URI+=" ${ADDONS_SRC[*]}"
-
-unset ADDONS_URI
-unset ADDONS_SRC
-
-# Extensions that need extra work:
-LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
-
-IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf gnome googledrive
-gstreamer +gtk gtk3 jemalloc kde libressl mysql odk pdfimport postgres quickstarter telepathy test vlc
-$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
-
-LICENSE="|| ( LGPL-3 MPL-1.1 )"
-SLOT="0"
-[[ ${PV} == *9999* ]] || \
-KEYWORDS="amd64 ~arm x86 ~amd64-linux ~x86-linux"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- app-arch/unzip
- app-arch/zip
- app-text/hunspell:=
- >=app-text/libabw-0.1.0
- >=app-text/libebook-0.1
- >=app-text/libetonyek-0.1
- app-text/libexttextcat
- app-text/liblangtag
- >=app-text/libmspub-0.1.0
- >=app-text/libmwaw-0.3.1
- >=app-text/libodfgen-0.1.0
- app-text/libwpd:0.10[tools]
- app-text/libwpg:0.3
- >=app-text/libwps-0.4
- app-text/mythes
- >=dev-cpp/clucene-2.3.3.4-r2
- =dev-cpp/libcmis-0.5*
- dev-db/unixODBC
- dev-lang/perl
- >=dev-libs/boost-1.55:=
- dev-libs/expat
- dev-libs/hyphen
- dev-libs/icu:=
- =dev-libs/liborcus-0.11*
- dev-libs/librevenge
- dev-libs/nspr
- dev-libs/nss
- !libressl? ( >=dev-libs/openssl-1.0.0d:0 )
- libressl? ( dev-libs/libressl )
- >=dev-libs/redland-1.0.16
- media-gfx/graphite2
- media-libs/fontconfig
- media-libs/freetype:2
- >=media-libs/glew-1.10:=
- >=media-libs/harfbuzz-0.9.18:=[icu(+)]
- media-libs/lcms:2
- >=media-libs/libcdr-0.1.0
- >=media-libs/libfreehand-0.1.0
- media-libs/libpagemaker
- >=media-libs/libpng-1.4:0=
- >=media-libs/libvisio-0.1.0
- net-libs/neon
- net-misc/curl
- net-nds/openldap
- sci-mathematics/lpsolve
- virtual/jpeg:0
- x11-libs/cairo[X,-xlib-xcb(-)]
- x11-libs/libXinerama
- x11-libs/libXrandr
- x11-libs/libXrender
- virtual/glu
- virtual/opengl
- bluetooth? ( net-wireless/bluez )
- coinmp? ( sci-libs/coinor-mp )
- collada? ( >=media-libs/opencollada-1.2.2_p20150207 )
- cups? ( net-print/cups )
- dbus? ( dev-libs/dbus-glib )
- eds? (
- dev-libs/glib:2
- gnome-extra/evolution-data-server
- )
- firebird? ( >=dev-db/firebird-2.5 )
- gltf? ( =media-libs/libgltf-0.0* )
- gnome? ( gnome-base/dconf )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- )
- gtk? (
- x11-libs/gdk-pixbuf
- >=x11-libs/gtk+-2.24:2
- )
- gtk3? (
- dev-libs/glib:2
- dev-libs/gobject-introspection
- >=x11-libs/gtk+-3.8:3
- )
- jemalloc? ( dev-libs/jemalloc )
- libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
- libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
- mysql? ( dev-db/mysql-connector-c++ )
- pdfimport? ( app-text/poppler:=[cxx] )
- postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
- telepathy? ( net-libs/telepathy-glib )
-"
-
-RDEPEND="${COMMON_DEPEND}
- !app-office/libreoffice-bin
- !app-office/libreoffice-bin-debug
- !app-office/openoffice
- media-fonts/liberation-fonts
- media-fonts/libertine
- media-fonts/urw-fonts
- java? ( >=virtual/jre-1.6 )
- kde? ( $(add_kdeapps_dep kioclient) )
- vlc? ( media-video/vlc )
-"
-
-if [[ ${PV} != *9999* ]]; then
- PDEPEND="=app-office/libreoffice-l10n-$(get_version_component_range 1-2)*"
-else
- # Translations are not reliable on live ebuilds
- # rather force people to use english only.
- PDEPEND="!app-office/libreoffice-l10n"
-fi
-
-# FIXME: cppunit should be moved to test conditional
-# after everything upstream is under gbuild
-# as dmake execute tests right away
-DEPEND="${COMMON_DEPEND}
- !<sys-devel/make-3.82
- >=dev-libs/libatomic_ops-7.2d
- >=dev-libs/libxml2-2.7.8
- dev-libs/libxslt
- dev-perl/Archive-Zip
- dev-util/cppunit
- >=dev-util/gperf-3
- dev-util/intltool
- >=dev-util/mdds-1.2.0:1=
- media-libs/glm
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- sys-devel/ucpp
- sys-libs/zlib
- virtual/pkgconfig
- x11-libs/libXt
- x11-libs/libXtst
- x11-proto/randrproto
- x11-proto/xextproto
- x11-proto/xineramaproto
- x11-proto/xproto
- java? (
- dev-java/ant-core
- >=virtual/jdk-1.6
- )
- odk? ( >=app-doc/doxygen-1.8.4 )
- test? ( dev-util/cppunit )
-"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- bluetooth? ( dbus )
- collada? ( gltf )
- eds? ( gnome )
- gnome? ( gtk )
- telepathy? ( gtk )
- libreoffice_extensions_nlpsolver? ( java )
- libreoffice_extensions_scripting-beanshell? ( java )
- libreoffice_extensions_scripting-javascript? ( java )
- libreoffice_extensions_wiki-publisher? ( java )
-"
-
-PATCHES=(
- # from master branch
- "${FILESDIR}/${PN}-5.2-icu58.patch"
-
- # not upstreamable stuff
- "${FILESDIR}/${PN}-5.2-system-pyuno.patch"
-
- # TODO: upstream
- "${FILESDIR}/${PN}-5.2.5.1-glibc-2.24.patch"
-)
-
-pkg_pretend() {
- use java || \
- ewarn "If you plan to use lbase application you should enable java or you will get various crashes."
-
- if [[ ${MERGE_TYPE} != binary ]]; then
-
- CHECKREQS_MEMORY="512M"
- if is-flagq "-g*" && ! is-flagq "-g*0" ; then
- CHECKREQS_DISK_BUILD="22G"
- else
- CHECKREQS_DISK_BUILD="6G"
- fi
- check-reqs_pkg_pretend
-
- if ! $(tc-is-clang) && { [[ $(gcc-major-version) -lt 4 ]] ||
- [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 7 ]]; } then
- eerror "Compilation with gcc older than 4.7 is not supported"
- die "Too old gcc found."
- fi
- fi
-
- # Ensure pg version but we have to be sure the pg is installed (first
- # install on clean system)
- if use postgres && has_version dev-db/postgresql; then
- local pgslot=$(postgresql-config show)
- if [[ ${pgslot//.} -lt 90 ]] ; then
- eerror "PostgreSQL slot must be set to 9.0 or higher."
- eerror " postgresql-config set 9.0"
- die "PostgreSQL slot is not set to 9.0 or higher."
- fi
- fi
-}
-
-pkg_setup() {
- java-pkg-opt-2_pkg_setup
- kde4-base_pkg_setup
- python-single-r1_pkg_setup
- xdg_environment_reset
-
- if [[ ${MERGE_TYPE} != binary ]]; then
- CHECKREQS_MEMORY="512M"
- if is-flagq "-g*" && ! is-flagq "-g*0" ; then
- CHECKREQS_DISK_BUILD="22G"
- else
- CHECKREQS_DISK_BUILD="6G"
- fi
- check-reqs_pkg_setup
- fi
-}
-
-src_unpack() {
- local mod
-
- [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
- use branding && unpack "${BRANDING}"
-
- if [[ ${PV} != *9999* ]]; then
- unpack "${P}.tar.xz"
- for mod in ${MODULES}; do
- [[ ${mod} == core ]] && continue
- unpack "${PN}-${mod}-${PV}.tar.xz"
- done
- else
- local base_uri branch checkout mypv
- base_uri="https://anongit.freedesktop.org"
- for mod in ${MODULES}; do
- branch="master"
- mypv=${PV/.9999}
- [[ ${mypv} != ${PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/${mod}" "refs/heads/${branch}"
- [[ ${mod} != core ]] && checkout="${S}/${mod}"
- [[ ${mod} == help ]] && checkout="helpcontent2" # doesn't match on help
- git-r3_checkout "${base_uri}/${PN}/${mod}" ${checkout}
- done
- fi
-}
-
-src_prepare() {
- [[ -n ${PATCHSET} ]] && eapply "${WORKDIR}/${PATCHSET/.tar.xz/}"
- eapply "${PATCHES[@]}"
- eapply_user
-
- AT_M4DIR="m4" eautoreconf
- # hack in the autogen.sh
- touch autogen.lastrun
-
- # system pyuno mess
- sed -i \
- -e "s:%eprefix%:${EPREFIX}:g" \
- -e "s:%libdir%:$(get_libdir):g" \
- pyuno/source/module/uno.py \
- pyuno/source/officehelper.py || die
- # sed in the tests
- sed -i \
- -e "s#all : build unitcheck#all : build#g" \
- solenv/gbuild/Module.mk || die
- sed -i \
- -e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
- -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
- Makefile.in || die
-
- sed -i \
- -e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
- -e "s,\$INSTALLDIRNAME.sh,${PN}," \
- bin/distro-install-desktop-integration || die
-
- if use branding; then
- # hack...
- mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
- fi
-
- # Don't list pdfimport support in desktop when built with none, bug # 605464
- if ! use pdfimport; then
- sed -i \
- -e ":MimeType: s:application/pdf;::" \
- -e ":Keywords: s:pdf;::" \
- sysui/desktop/menus/draw.desktop || die
- fi
-}
-
-src_configure() {
- local java_opts
- local ext_opts
-
- # Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
- # Note: these are for Gentoo use ONLY. For your own distribution, please get
- # your own set of keys. Feel free to contact chromium@gentoo.org for more info.
- local google_default_client_id="329227923882.apps.googleusercontent.com"
- local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
-
- # optimization flags
- export GMAKE_OPTIONS="${MAKEOPTS}"
- # System python enablement:
- export PYTHON_CFLAGS=$(python_get_CFLAGS)
- export PYTHON_LIBS=$(python_get_LIBS)
-
- if use collada; then
- export OPENCOLLADA_CFLAGS="-I/usr/include/opencollada/COLLADABaseUtils -I/usr/include/opencollada/COLLADAFramework -I/usr/include/opencollada/COLLADASaxFrameworkLoader -I/usr/include/opencollada/GeneratedSaxParser"
- export OPENCOLLADA_LIBS="-L /usr/$(get_libdir)/opencollada -lOpenCOLLADABaseUtils -lOpenCOLLADAFramework -lOpenCOLLADASaxFrameworkLoader -lGeneratedSaxParser"
- fi
-
- # libreoffice extensions handling
- for lo_xt in ${LO_EXTS}; do
- if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
- ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
- else
- ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
- fi
- done
-
- if use java; then
- # hsqldb: system one is too new
- java_opts="
- --without-junit
- --without-system-hsqldb
- --with-ant-home="${ANT_HOME}"
- --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
- --with-jvm-path="${EPREFIX}/usr/lib/"
- "
-
- use libreoffice_extensions_scripting-beanshell && \
- java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
-
- use libreoffice_extensions_scripting-javascript && \
- java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
- fi
-
- if use kde; then
- # bug 544108, bug 599076
- export QMAKEQT4="$(qt4_get_bindir)/qmake"
- export MOCQT4="$(qt4_get_bindir)/moc"
- fi
-
- # system headers/libs/...: enforce using system packages
- # --enable-cairo: ensure that cairo is always required
- # --enable-graphite: disabling causes build breakages
- # --enable-*-link: link to the library rather than just dlopen on runtime
- # --enable-release-build: build the libreoffice as release
- # --disable-fetch-external: prevent dowloading during compile phase
- # --enable-extension-integration: enable any extension integration support
- # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
- # --disable-report-builder: too much java packages pulled in without pkgs
- # --without-system-sane: just sane.h header that is used for scan in writer,
- # not linked or anything else, worthless to depend on
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
- --with-system-dicts \
- --with-system-headers \
- --with-system-jars \
- --with-system-libs \
- --enable-cairo-canvas \
- --enable-graphite \
- --enable-largefile \
- --enable-mergelibs \
- --enable-neon \
- --enable-python=system \
- --enable-randr \
- --enable-release-build \
- --disable-ccache \
- --disable-crashdump \
- --disable-dependency-tracking \
- --disable-epm \
- --disable-fetch-external \
- --disable-gstreamer-0-10 \
- --disable-hardlink-deliver \
- --disable-online-update \
- --disable-report-builder \
- --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
- --with-build-version="Gentoo official package" \
- --enable-extension-integration \
- --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
- --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
- --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
- --with-external-tar="${DISTDIR}" \
- --with-lang="" \
- --with-parallelism=$(makeopts_jobs) \
- --with-system-ucpp \
- --with-vendor="Gentoo Foundation" \
- --with-x \
- --without-fonts \
- --without-myspell-dicts \
- --without-help \
- --with-helppack-integration \
- --without-sun-templates \
- --without-system-sane \
- $(use_enable bluetooth sdremote-bluetooth) \
- $(use_enable coinmp) \
- $(use_enable collada) \
- $(use_enable cups) \
- $(use_enable debug) \
- $(use_enable dbus) \
- $(use_enable eds evolution2) \
- $(use_enable firebird firebird-sdbc) \
- $(use_enable gltf) \
- $(use_enable gnome gio) \
- $(use_enable gnome dconf) \
- $(use_enable gstreamer gstreamer-1-0) \
- $(use_enable gtk) \
- $(use_enable gtk3) \
- $(use_enable kde kde4) \
- $(use_enable mysql ext-mariadb-connector) \
- $(use_enable odk) \
- $(use_enable pdfimport) \
- $(use_enable postgres postgresql-sdbc) \
- $(use_enable quickstarter systray) \
- $(use_enable telepathy) \
- $(use_enable vlc) \
- $(use_with coinmp system-coinmp) \
- $(use_with collada system-opencollada) \
- $(use_with gltf system-libgltf) \
- $(use_with googledrive gdrive-client-id ${google_default_client_id}) \
- $(use_with googledrive gdrive-client-secret ${google_default_client_secret}) \
- $(use_with java) \
- $(use_with mysql system-mysql-cppconn) \
- $(use_with odk doxygen) \
- ${java_opts} \
- ${ext_opts}
-}
-
-src_compile() {
- # more and more LO stuff tries to use OpenGL, including tests during build
- # bug 501508, bug 540624, bug 545974 and probably more
- addpredict /dev/dri
- addpredict /dev/ati
- addpredict /dev/nvidiactl
-
- # hack for offlinehelp, this needs fixing upstream at some point
- # it is broken because we send --without-help
- # https://bugs.freedesktop.org/show_bug.cgi?id=46506
- (
- grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk" || die
- source "${T}/config_host.mk" 2&> /dev/null
-
- local path="${WORKDIR}/helpcontent2/source/auxiliary/"
- mkdir -p "${path}" || die
-
- echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
- perl "${S}/helpcontent2/helpers/create_ilst.pl" \
- -dir=icon-themes/galaxy/res/helpimg \
- > "${path}/helpimg.ilst"
- [[ -s "${path}/helpimg.ilst" ]] || \
- ewarn "The help images list is empty, something is fishy, report a bug."
- )
-
- local target
- use test && target="build" || target="build-nocheck"
-
- # this is not a proper make script
- make ${target} || die
-}
-
-src_test() {
- make unitcheck || die
- make slowcheck || die
-}
-
-src_install() {
- # This is not Makefile so no buildserver
- make DESTDIR="${D}" distro-pack-install -o build -o check || die
-
- # bug 593514
- if use gtk3; then
- dosym /usr/$(get_libdir)/libreoffice/program/liblibreofficekitgtk.so \
- /usr/$(get_libdir)/liblibreofficekitgtk.so
- fi
-
- # bash completion aliases
- bashcomp_alias \
- libreoffice \
- unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
-
- if use branding; then
- insinto /usr/$(get_libdir)/${PN}/program
- newins "${WORKDIR}/branding-sofficerc" sofficerc
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"etc/env.d/99${PN} || die
- fi
-
- # Hack for offlinehelp, this needs fixing upstream at some point.
- # It is broken because we send --without-help
- # https://bugs.freedesktop.org/show_bug.cgi?id=46506
- insinto /usr/$(get_libdir)/libreoffice/help
- doins xmlhelp/util/*.xsl
-
- # Remove desktop files to support old installs that can't parse mime
- rm -r "${ED}"usr/share/mimelnk/ || die
-
- pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/soffice.bin
- pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/unopkg.bin
-}
-
-pkg_preinst() {
- # Cache updates - all handled by kde eclass for all environments
- kde4-base_pkg_preinst
-}
-
-pkg_postinst() {
- kde4-base_pkg_postinst
-}
-
-pkg_postrm() {
- kde4-base_pkg_postrm
-}
diff --git a/app-office/libreoffice/metadata.xml b/app-office/libreoffice/metadata.xml
index 7900bfe6a04..1d3010d4130 100644
--- a/app-office/libreoffice/metadata.xml
+++ b/app-office/libreoffice/metadata.xml
@@ -20,7 +20,6 @@ version</longdescription>
<flag name="odk">Build the Office Development Kit</flag>
<flag name="pdfimport">Enable PDF import via the Poppler library</flag>
<flag name="quickstarter">Build the system tray quickstarter</flag>
- <flag name="telepathy">Enable document colaboration features using telepathy communication framework.</flag>
<flag name="vlc">Use <pkg>media-video/vlc</pkg> for video embedding</flag>
</use>
</pkgmetadata>